
define(['jquery', 'underscore', 'requtils', 'renderer/baserepresentation'], function ($, _, requtils, BaseRepresentation) {
    'use strict';

    var Utils = requtils.getUtils();

    /* MiniFrame Begin */

    //var MiniFrame = Renderer.MiniFrame = Utils.inherit(Renderer._BaseRepresentation);
    var MiniFrame = Utils.inherit(BaseRepresentation);

    _(MiniFrame.prototype).extend({
        paperShift: function(_delta) {
            this.renderer.offset = this.renderer.offset.subtract(_delta.divide(this.renderer.minimap.scale).multiply(this.renderer.scale));
            this.renderer.redraw();
        },
        mouseup: function(_delta) {
            this.renderer.click_target = null;
            this.renderer.is_dragging = false;
        }
    }).value();


    /* MiniFrame End */

    return MiniFrame;

});
